Adobe’s latest security update patches vulnerabilities affecting Windows, Macintosh and Linux users of its Flash Player, in addition to bugs in Adobe AIR.

According to the security bulletin, Windows and Macintosh users should update to version 16.0.0.257, while those on Linux should update to version 11.2.202.429.

Of the nine flaws addressed in the release, those affecting Windows and Macintosh operating systems were given a priority rating of “1,” which means that the vulnerability has a higher risk of being targeted by an attacker.

The update also addresses bugs in Adobe AIR, in which the company advises AIR desktop runtime users to update to version 16.0.0.245, AIR SDK and SDK and Compiler users – as well as Android users – to version 16.0.0.272.

Software updates resolve type confusion, memory corruption, heap-based buffer overflow and use-after-free vulnerabilities, all which could lead to code execution.